[target.make]
# samd21 family
# samd21a series
samd21e15a = "arch.arm.samd21a.samd21e15a"
samd21e16a = "arch.arm.samd21a.samd21e16a"
samd21e17a = "arch.arm.samd21a.samd21e17a"
samd21e18a = "arch.arm.samd21a.samd21e18a"
samd21g15a = "arch.arm.samd21a.samd21g15a"
samd21g16a = "arch.arm.samd21a.samd21g16a"
samd21g17a = "arch.arm.samd21a.samd21g17a"
samd21g17au = "arch.arm.samd2a1.samd21g17au"
samd21g18a = "arch.arm.samd21a.samd21g18a"
samd21g18au = "arch.arm.samd21a.samd21g18au"
samd21j15a = "arch.arm.samd21a.samd21j15a"
samd21j16a = "arch.arm.samd21a.samd21j16a"
samd21j17a = "arch.arm.samd21a.samd21j17a"
samd21j18a = "arch.arm.samd21a.samd21j18a"
# samd51 family
# samd51a series
samd51g18a = "arch.arm.samd51a.samd51g18a"
samd51g19a = "arch.arm.samd51a.samd51g19a"
samd51j18a = "arch.arm.samd51a.samd51j18a"
samd51j19a = "arch.arm.samd51a.samd51j19a"
samd51j20a = "arch.arm.samd51a.samd51j20a"
samd51n19a = "arch.arm.samd51a.samd51n19a"
samd51n20a = "arch.arm.samd51a.samd51n20a"
samd51p19a = "arch.arm.samd51a.samd51p19a"
samd51p20a = "arch.arm.samd51a.samd51p20a"
# same54 family
# same54n/p series
same54n19a = "arch.arm.same54a.same54n19a"
same54n20a = "arch.arm.same54a.same54n20a"
same54p19a = "arch.arm.same54a.same54p19a"
same54p20a = "arch.arm.same54a.same54p20a"
# same70 family
# same70a series
same70j19a = "arch.arm.same70a.same70j19a"
same70j20a = "arch.arm.same70a.same70j20a"
same70j21a = "arch.arm.same70a.same70j21a"
same70n19a = "arch.arm.same70a.same70n19a"
same70n20a = "arch.arm.same70a.same70n20a"
same70n21a = "arch.arm.same70a.same70n21a"
same70q19a = "arch.arm.same70a.same70q19a"
same70q20a = "arch.arm.same70a.same70q20a"
same70q21a = "arch.arm.same70a.same70q21a"

# fe310 family
# fe310g series
fe310g000 = "arch.riscv.fe310g.fe310g000"
fe310g002 = "arch.riscv.fe310g.fe310g002"

# target.cfg contains the file locations for all config manifests for all mcus
# target.cfg contains things like symlinks
[target.manifest]
# samd21 family
# samd21a series
samd21e15a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21e16a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21e17a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21e18a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21g15a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21g16a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21g17a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21g17au = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21g18a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21g18au = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21j15a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21j16a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21j17a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
samd21j18a = "arch/arm/SAMD21/SAMD21A/manifest/samd21a.toml"
# samd51 family
# samd51a series
samd51g18a = "arch/arm/SAMD51/SAMD51A/manifest/samd51a.toml"
samd51g19a = "arch/arm/SAMD51/SAMD51A/manifest/samd51a.toml"
samd51j18a = "arch/arm/SAMD51/SAMD51A/manifest/samd51a.toml"
samd51j19a = "arch/arm/SAMD51/SAMD51A/manifest/samd51a.toml"
samd51j20a = "arch/arm/SAMD51/SAMD51A/manifest/samd51a.toml"
samd51n19a = "arch/arm/SAMD51/SAMD51A/manifest/samd51a.toml"
samd51n20a = "arch/arm/SAMD51/SAMD51A/manifest/samd51a.toml"
samd51p19a = "arch/arm/SAMD51/SAMD51A/manifest/samd51a.toml"
samd51p20a = "arch/arm/SAMD51/SAMD51A/manifest/samd51a.toml"
# same54 family
# same54a series
same54n19a = "arch/arm/SAME54/SAME54A/manifest/same54a.toml"
same54n20a = "arch/arm/SAME54/SAME54A/manifest/same54a.toml"
same54p19a = "arch/arm/SAME54/SAME54A/manifest/same54a.toml"
same54p20a = "arch/arm/SAME54/SAME54A/manifest/same54a.toml"
# same70 family
# same70a series
same70j19a = "arch/arm/SAME70/SAME70A/manifest/same70j19a.toml"
same70j20a = "arch/arm/SAME70/SAME70A/manifest/same70j20a.toml"
same70j21a = "arch/arm/SAME70/SAME70A/manifest/same70j21a.toml"
same70n19a = "arch/arm/SAME70/SAME70A/manifest/same70n19a.toml"
same70n20a = "arch/arm/SAME70/SAME70A/manifest/same70n19a.toml"
same70n21a = "arch/arm/SAME70/SAME70A/manifest/same70n20a.toml"
same70q19a = "arch/arm/SAME70/SAME70A/manifest/same70q21a.toml"
same70q20a = "arch/arm/SAME70/SAME70A/manifest/same70q20a.toml"
same70q21a = "arch/arm/SAME70/SAME70A/manifest/same70q21a.toml"

# fe310 family
# fe310g series
fe310g000 = "arch/riscv/FE310/FE310_G/manifest/fe310g.toml"
fe310g002 = "arch/riscv/FE310/FE310_G/manifest/fe310g.toml"